## python-os-faults 0.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0

appdirs>=1.3.0 # MIT License
click>=6.7 # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.concurrency>=3.0.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pyghmi>=1.0.9 # Apache-2.0
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT

## python-os-faults 0.1.17

=== debian/changelog ===
python-os-faults (0.1.17-2) unstable; urgency=medium

  * Add os-inject-faut shell entry-point in debian/bin, used during doc build
    (Closes: #907450).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 11:20:13 +0200

python-os-faults (0.1.17-1) unstable; urgency=medium

  * Initial release. (Closes: #905724)

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jun 2018 16:26:58 +0200

=== debian/control ===
Source: python-os-faults
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 81),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 ansible,
 python-appdirs,
 python-click (>= 6.7),
 python-coverage,
 python-ddt,
 python-hacking,
 python-iso8601,
 python-jsonschema,
 python-mock,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-oslotest,
 python-pyghmi (>= 1.0.9),
 python-pytest,
 python-pytest-cov,
 python-six,
 python-sphinx-rtd-theme,
 python-sphinxcontrib.programoutput,
 python-testscenarios,
 python-testtools,
 python-yaml,
 python3-appdirs,
 python3-click (>= 6.7),
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-mock,
 python3-openstackdocstheme (>= 1.11.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.20.0),
 python3-oslotest,
 python3-pyghmi (>= 1.0.9),
 python3-pytest,
 python3-pytest-cov,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-os-faults
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-os-faults.git
Homepage: http://os-faults.readthedocs.io/

Package: python-os-faults
Architecture: all
Depends:
 ansible,
 python-appdirs,
 python-click (>= 6.7),
 python-iso8601,
 python-jsonschema,
 python-oslo.i18n (>= 2.1.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pyghmi (>= 1.0.9),
 python-six,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-faults-doc,
Description: OpenStack fault-injection library - Python 2.7
 The library does destructive actions inside an OpenStack cloud. It provides an
 abstraction layer over different types of cloud deployments. The actions are
 implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package contains the Python 2.7 module.

Package: python-os-faults-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack fault-injection library - doc
 The library does destructive actions inside an OpenStack cloud. It provides an
 abstraction layer over different types of cloud deployments. The actions are
 implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package contains the documentation.

Package: python3-os-faults
Architecture: all
Depends:
 ansible,
 python3-appdirs,
 python3-click (>= 6.7),
 python3-iso8601,
 python3-jsonschema,
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyghmi (>= 1.0.9),
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-faults-doc,
Description: OpenStack fault-injection library - Python 3.x
 The library does destructive actions inside an OpenStack cloud. It provides an
 abstraction layer over different types of cloud deployments. The actions are
 implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-faults.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'os_faults\.tests\.unit.*'
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:$(CURDIR)/debian/bin PYTHON=python python -m sphinx -b html doc/source debian/python-os-faults-doc/usr/share/doc/python-os-faults-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .eggs

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-os-faults 0.2.1

=== debian/changelog ===
python-os-faults (0.2.1-3) unstable; urgency=medium

  * Make python-os-faults reproducible (Closes: #932301).

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2020 11:42:11 +0100

python-os-faults (0.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Do not manage alternatives (Closes: #933526).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 14:29:55 +0200

python-os-faults (0.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Fix wrong Vcs-*

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 11:47:09 +0200

=== debian/control ===
Source: python-os-faults
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-click,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyghmi,
 python3-pytest,
 python3-pytest-cov,
 python3-six,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.programoutput,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-faults
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-faults.git
Homepage: http://os-faults.readthedocs.io/

Package: python-os-faults-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack fault-injection library - doc
 The library does destructive actions inside an OpenStack cloud. It provides an
 abstraction layer over different types of cloud deployments. The actions are
 implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package contains the documentation.

Package: python3-os-faults
Architecture: all
Depends:
 python3-appdirs,
 python3-click,
 python3-iso8601,
 python3-jsonschema,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyghmi,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-faults-doc,
Description: OpenStack fault-injection library - Python 3.x
 The library does destructive actions inside an OpenStack cloud. It provides an
 abstraction layer over different types of cloud deployments. The actions are
 implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-faults.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .eggs .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_faults\.tests\.unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:$(CURDIR)/debian/bin PYTHON=python3 PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source debian/python-os-faults-doc/usr/share/doc/python-os-faults-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-os-faults 0.2.7

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0

appdirs>=1.3.0 # MIT License
click>=6.7 # BSD
iso8601>=0.1.11 # MIT
jsonschema>=2.6.0 # MIT
oslo.concurrency>=3.0.0,<4.0.0;python_version=='2.7' # Apache-2.0
oslo.concurrency>=3.0.0;python_version>='3.6' # Apache-2.0
oslo.i18n>=2.1.0,<4.0.0;python_version=='2.7' # Apache-2.0
oslo.i18n>=2.1.0;python_version>='3.6' # Apache-2.0
oslo.serialization>=1.10.0,<3.0.0;python_version=='2.7' # Apache-2.0
oslo.serialization>=1.10.0;python_version>='3.6' # Apache-2.0
oslo.utils>=3.20.0,<4.0.0;python_version=='2.7' # Apache-2.0
oslo.utils>=3.20.0;python_version>='3.6' # Apache-2.0
pyghmi>=1.0.9,<1.5.0;python_version=='2.7' # Apache-2.0
pyghmi>=1.0.9;python_version>='3.6'
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT

=== debian/changelog ===
python-os-faults (0.2.7-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090551).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:29:28 +0100

python-os-faults (0.2.7-2) unstable; urgency=medium

  * Fixed platformdirs patch forwarded URL.
  * Fixed runtime depends that I forgot to fix in 0.2.7-1 (Closes: #1082595).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 13:19:59 +0200

python-os-faults (0.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream VCS URLs.
  * Switch from appdirs to platformdirs (Closes: #1082595).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 13:09:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-appdirs,
  python3-click,
  python3-coverage,
  python3-ddt,
@@ -27,6 +26,7 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
+ python3-platformdirs,
  python3-pyghmi,
  python3-pytest,
  python3-pytest-cov,
@@ -60,7 +60,6 @@
 Package: python3-os-faults
 Architecture: all
 Depends:
- python3-appdirs,
  python3-click,
  python3-iso8601,
  python3-jsonschema,
@@ -69,6 +68,7 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
+ python3-platformdirs,
  python3-pyghmi,
  python3-six,
  python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/os-faults.git
+UPSTREAM_GIT := https://opendev.org/performa/os-faults
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .eggs .stestr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-faults/os-faults-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
